Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03031 DIP/Input Major Always Mar 16, 2009, 02:43 Mar 25, 2009, 14:55
Tester Fortuna View Status Public Platform MAME (Official Binary)
Assigned To etabeta Resolution Fixed OS Windows XP/Vista 32-bit
Status [?] Resolved Driver system1.cpp
Version 0.130 Fixed in Version 0.130u2 Build I686
Summary 03031: seganinj and clones: Player 1 button 3 not present
Description Player 1 button 3 not appear in inputs (literally disappeared)

button 3 = invisible skill or something

only player 2 have the 3 buttons
Steps To Reproduce
Additional Information
Flags
Regression Version 0.127u1
Affected Sets / Systems seganinj and clones
Attached Files
jpg file icon seganinj.jpg (505,369 bytes) Mar 16, 2009, 02:43
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.03974
Tafoid
Administrator
Mar 16, 2009, 12:09
edited on: Mar 16, 2009, 12:13
Fortuna - please take note,
Do not post reports based on GUI-based builds (UI/UIFX/MAMEPLUS, ETC). Be sure you assure it can be duplicated from the MAMEDEV.org command-line build. Regardless of how valid the bug is, we need to keep consistent in only accepting bugs that can be validated using that standard version. Use whatever version you want for your game playing but only use the command-line build here to validate/report bugs! Thank you.

EDIT: Regression found. Third button is supposed to be the "KIE" button according to the service mode tests.
User avatar
No.03980
Fortuna
Tester
Mar 16, 2009, 19:24
ok, but i test this game in official too (command line) and get the same problem
User avatar
No.03996
stephh
Developer
Mar 18, 2009, 15:38
According to the driver, you shall change line 871 :

PORT_MODIFY("P1")

to :

PORT_MODIFY("P2")

Unfortunately, I can't send this to MAME Team yet.
User avatar
No.04062
etabeta
Developer
Mar 25, 2009, 14:55
patch submitted